Create trust relationship

  • POST /platform/configuration/trust-relationships
Auth

Creates a trust relationship.

Request body

The trust relationship definition

name string required

A name for the trust relationship

trust_by_default boolean

If this relationship is trusted by default by all deployments in the current environment.

account_ids string[]

The ID of the accounts to trust by this relationship.

public_ca_cert string required

The public CA certificate of the environment to trust

installation_id string

The installation ID of the environment to trust

Responses

The request was valid and a new trust relationship was created

application/json
id string required

The id of the trust relationship

name string required

The name of the trust relationship

trust_by_default boolean required

If this relationship is trusted by default by all deployments in the current environment.

account_ids string[]

The ID of the accounts trusted by this relationship.

local boolean required

If this is the trust relationship for the local environment

installation_id string

The installation ID of the environment to trust

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)

The trust relationship request had errors.

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

You are not authorized to perform this action.

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields